import "package:oche/oche.dart";
import "package:logging/logging.dart";
import "package:logging_handlers/logging_handlers_shared.dart";

void main() {

  Logger.root.level = Level.ALL;
  Logger.root.onRecord.listen(new LogPrintHandler());

  var routesMap = {
    '/admin': AdminModule,
    '/': HomeModule
  };

  registerRoutes(routesMap);

  start('localhost', 1337);

}


class HomeModule extends OcheModule {

  HomeModule() {

    before((HttpContext context) {

    });

    get('/contact/:name', (HttpContext context) {

    });

    get('/contact', (HttpContext context) {

    });

    post('/about', (HttpContext context) {

    });

    after((Response response) {

    });

  }

}

class AdminModule extends OcheModule {

  AdminModule() {

    get('/users/:id', (HttpContext context) {

    });

    get('/users', (HttpContext context) {

    });

  }

}

