part of oche;

/**
 * Public function that registers the application routes
 * and modules by a [routeMap].
 */
void registerRoutes(Map<String, Type> routeMap) {

  _createRouter(routeMap);

}

/**
 * Public function to start the http server.
 * Takes a [host], [port] and an optional [staticFilesRoot]
 * which defaults to './web'.
 */
void start(String host, int port, {String staticFilesRoot: './web'}) {

  _startServer(host, port, staticFilesRoot);

}
