part of oche;

/**
 * [Route] classes are instantiated for a given request method by a parent [OcheModule].
 * It's then called as a function that takes a [path] and [RouteAction] before adding itself
 * to the parent module list of routes.
 */
class Route {

  String _method;
  OcheModule _parentModule;
  String _path;
  RouteAction _action;

  Route(this._method, this._parentModule);

  call(String path, RouteAction action) {

    _path = path;
    _action = action;
    _parentModule._routes.add(this);

  }

}